1 Reply Latest reply on May 1, 2015 10:44 AM by Jim Wilson

    can't execute script after upgrade

    Edwin Lindeman

      Hey guys Have a customer executing a script which creates a component template but one of the lines  code is failing. The failure occurs on this execution. This error is appearing after they upgraded from BSA 8.2 to 8.5


      blcli_exec "" Template addAllowedOperation 7


      On that particular line the error that comes back is this.


      04/30/15 15.20.31 85 : ERROR: BLCLI command failed: Template addAllowedOperation 7

      04/30/15 15.20.31 85 : Command execution failed. com.bladelogic.om.infra.cli.factory.CommandNotFoundException: Found command 'Template.addAllowedOperation' but with mismatching arguments. : java.lang.IllegalArgumentException: Input '7' cannot be converted to expected type : class com.bladelogic.om.infra.model.template.OperationType: java.lang.IllegalArgumentException: illegal value for OperationType enum 7